package CHAPTER04;

public class C4_09_StringNewExample {
	
	public static void main(String[] args) {
		
		String s1 = "Java"; // 문자열 상수 풀 사용
		String s2 = new String("Java"); // 힙 영역에 새로운 객체 생성

		System.out.println("s1: " + s1);
		System.out.println("s2: " + s2);
		System.out.println(s1 == s2); // false (참조값이 다름)
		System.out.println(s1.equals(s2)); // true (내용이 같음)
	}
}
